//this file is part of Function List Plugin for Notepad++
//Copyright (C)2006 Jens Lorenz <jens.plugin.npp@gmx.de>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include "ColumnDialog.h"
#include "PluginInterface.h"


UINT ColumnDlg::doDialog(UINT column)
{
	_column = column;
	return (UINT)::DialogBoxParam(_hInst, MAKEINTRESOURCE(IDD_COLUMN_DLG), _hParent,  (DLGPROC)dlgProc, (LPARAM)this);
}


BOOL CALLBACK ColumnDlg::run_dlgProc(HWND hwnd, UINT Message, WPARAM wParam, LPARAM lParam)
{
	char	text[16];

	switch (Message) 
	{
		case WM_INITDIALOG:
		{
			goToCenter();
			::SetWindowText(::GetDlgItem(_hSelf, IDC_COLUMN_EDIT), itoa(_column, text, 10));
			break;
		}
		case WM_COMMAND : 
		{
			switch (wParam)
			{
				case IDCANCEL:
					::EndDialog(_hSelf, _column);
					return TRUE;
				case IDOK:
					::GetWindowText(::GetDlgItem(_hSelf, IDC_COLUMN_EDIT), text, 16);
					::EndDialog(_hSelf, atoi(text));
					return TRUE;
				default:
					return FALSE;
			}
		}
		default:
			break;
	}
	return FALSE;
}
